> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Terminate Grants

> Marks each grant TERMINATED with a date, cancels later vestings and recalculates lockups, skipping failures.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/bulk-terminate-grants
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/bulk-terminate-grants:
    post:
      operationId: bulkTerminateGrants
      summary: Bulk Terminate Grants
      description: >-
        Marks each grant TERMINATED with a date, cancels later vestings and
        recalculates lockups, skipping failures.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkTerminateGrantsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkTerminateGrantsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    BulkTerminateGrantsRequest:
      type: object
      properties:
        grantIDs:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
        terminationDate:
          type: string
          format: date-time
        cancelUnpaidUnlocks:
          type: boolean
      required:
        - grantIDs
        - terminationDate
    BulkTerminateGrantsResponse:
      type: object
      properties:
        terminatedGrantIDs:
          type: array
          items:
            type: string
      required:
        - terminatedGrantIDs
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
